@echo off

if not exist %SystemRoot%\SysWOW64 goto i386

set Folder=%~dp0
echo ====== %DATE% %TIME% ====== >>"%Folder%install.log"

echo 1: >>"%Folder%install.log"
echo Copying system files...
if not exist "%SystemRoot%\SysWOW64\fpSpr35.ocx"   copy "%Folder%SYS32\fpSpr35.ocx"   "%SystemRoot%\SysWOW64" >>"%Folder%install.log"
if not exist "%SystemRoot%\SysWOW64\mfc42.dll"     copy "%Folder%SYS32\mfc42.dll"     "%SystemRoot%\SysWOW64" >>"%Folder%install.log"
if not exist "%SystemRoot%\SysWOW64\MSMASK32.OCX"  copy "%Folder%SYS32\MSMASK32.OCX"  "%SystemRoot%\SysWOW64" >>"%Folder%install.log"
if not exist "%SystemRoot%\SysWOW64\Msvcrt.dll"    copy "%Folder%SYS32\Msvcrt.dll"    "%SystemRoot%\SysWOW64" >>"%Folder%install.log"
if not exist "%SystemRoot%\SysWOW64\SPR32X35.ocx"  copy "%Folder%SYS32\SPR32X35.ocx"  "%SystemRoot%\SysWOW64" >>"%Folder%install.log"
if not exist "%SystemRoot%\SysWOW64\TABCTL32.OCX"  copy "%Folder%SYS32\TABCTL32.OCX"  "%SystemRoot%\SysWOW64" >>"%Folder%install.log"
if not exist "%SystemRoot%\SysWOW64\Roboex32.dll"  copy "%Folder%SYS32\Roboex32.dll"  "%SystemRoot%\SysWOW64" >>"%Folder%install.log"
if not exist "%SystemRoot%\SysWOW64\reg.exe"       copy "%Folder%SYS32\reg.exe"       "%SystemRoot%\SysWOW64" >>"%Folder%install.log"

echo 2: >>"%Folder%install.log"
echo Copying program files...
if not exist "%ProgramFiles(x86)%\ADMS-2K"         mkdir "%ProgramFiles(x86)%\ADMS-2K" >>"%Folder%install.log"
if not exist "%ProgramFiles(x86)%\ADMS-2K\FT-7800" mkdir "%ProgramFiles(x86)%\ADMS-2K\FT-7800" >>"%Folder%install.log"
copy /Y "%Folder%MAIN\*.*" "%ProgramFiles(x86)%\ADMS-2K\FT-7800" >>"%Folder%install.log"

echo 3: >>"%Folder%install.log"
echo Copying common files...
if not exist "%CommonProgramFiles(x86)%\RT Systems" mkdir "%CommonProgramFiles(x86)%\RT Systems" >>"%Folder%install.log"
copy /Y "%Folder%SHARED\*.*" "%CommonProgramFiles(x86)%\RT Systems" >>"%Folder%install.log"

echo 4: >>"%Folder%install.log"
echo Registering modules...
regsvr32 /s "%SystemRoot%\SysWOW64\fpSpr35.ocx" >>"%Folder%install.log"
regsvr32 /s "%SystemRoot%\SysWOW64\MSMASK32.OCX" >>"%Folder%install.log"
regsvr32 /s "%SystemRoot%\SysWOW64\SPR32X35.ocx" >>"%Folder%install.log"
regsvr32 /s "%SystemRoot%\SysWOW64\TABCTL32.OCX" >>"%Folder%install.log"

echo 5: >>"%Folder%install.log"
echo Creating registry keys...
echo Y | reg add HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\SharedDlls /v "%CommonProgramFiles(x86)%\RT Systems\rtutility.dll" /t REG_DWORD /d 2 /f >>"%Folder%install.log"
echo Y | reg add HKCR\Wow6432Node\CLSID\{23125B51-E11F-48db-94FE-BBED5552A000} >>"%Folder%install.log"

echo ========== END ============ >>"%Folder%install.log"
set Folder=

echo COMPLETE: program can be found in "%ProgramFiles(x86)%\ADMS-2K\FT-7800" folder.
echo Press any key to exit...
pause >nul
explorer "%ProgramFiles(x86)%\ADMS-2K\FT-7800"
exit

:i386
echo 32-bit system detected, please run "install_win32.cmd"
echo Press any key to exit...
pause >nul
