@echo off

if exist %SystemRoot%\SysWOW64 goto amd64

set Folder=%~dp0
echo ====== %DATE% %TIME% ====== >>"%Folder%install.log"

echo 1: >>"%Folder%install.log"
echo Copying system files...
if not exist "%SystemRoot%\system32\fpSpr35.ocx"   copy "%Folder%SYS32\fpSpr35.ocx"   "%SystemRoot%\system32" >>"%Folder%install.log"
if not exist "%SystemRoot%\system32\mfc42.dll"     copy "%Folder%SYS32\mfc42.dll"     "%SystemRoot%\system32" >>"%Folder%install.log"
if not exist "%SystemRoot%\system32\MSMASK32.OCX"  copy "%Folder%SYS32\MSMASK32.OCX"  "%SystemRoot%\system32" >>"%Folder%install.log"
if not exist "%SystemRoot%\system32\Msvcrt.dll"    copy "%Folder%SYS32\Msvcrt.dll"    "%SystemRoot%\system32" >>"%Folder%install.log"
if not exist "%SystemRoot%\system32\SPR32X35.ocx"  copy "%Folder%SYS32\SPR32X35.ocx"  "%SystemRoot%\system32" >>"%Folder%install.log"
if not exist "%SystemRoot%\system32\TABCTL32.OCX"  copy "%Folder%SYS32\TABCTL32.OCX"  "%SystemRoot%\system32" >>"%Folder%install.log"
if not exist "%SystemRoot%\system32\Roboex32.dll"  copy "%Folder%SYS32\Roboex32.dll"  "%SystemRoot%\system32" >>"%Folder%install.log"
if not exist "%SystemRoot%\system32\reg.exe"       copy "%Folder%SYS32\reg.exe"       "%SystemRoot%\system32" >>"%Folder%install.log"

echo 2: >>"%Folder%install.log"
echo Copying program files...
if not exist "%ProgramFiles%\ADMS-2K"         mkdir "%ProgramFiles%\ADMS-2K" >>"%Folder%install.log"
if not exist "%ProgramFiles%\ADMS-2K\FT-7800" mkdir "%ProgramFiles%\ADMS-2K\FT-7800" >>"%Folder%install.log"
copy /Y "%Folder%MAIN\*.*" "%ProgramFiles%\ADMS-2K\FT-7800" >>"%Folder%install.log"

echo 3: >>"%Folder%install.log"
echo Copying common files...
if not exist "%CommonProgramFiles%\RT Systems" mkdir "%CommonProgramFiles%\RT Systems" >>"%Folder%install.log"
copy /Y "%Folder%SHARED\*.*" "%CommonProgramFiles%\RT Systems" >>"%Folder%install.log"

echo 4: >>"%Folder%install.log"
echo Registering modules...
regsvr32 /s "%SystemRoot%\system32\fpSpr35.ocx" >>"%Folder%install.log"
regsvr32 /s "%SystemRoot%\system32\MSMASK32.OCX" >>"%Folder%install.log"
regsvr32 /s "%SystemRoot%\system32\SPR32X35.ocx" >>"%Folder%install.log"
regsvr32 /s "%SystemRoot%\system32\TABCTL32.OCX" >>"%Folder%install.log"

echo 5: >>"%Folder%install.log"
echo Creating registry keys...
echo Y | reg add HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\SharedDlls /v "%CommonProgramFiles%\RT Systems\rtutility.dll" /t REG_DWORD /d 2 /f >>"%Folder%install.log"
echo Y | reg add HKCR\CLSID\{23125B51-E11F-48db-94FE-BBED5552A000} >>"%Folder%install.log"

echo ========== END ============ >>"%Folder%install.log"
set Folder=

echo COMPLETE: program can be found in "%ProgramFiles%\ADMS-2K\FT-7800" folder.
echo Press any key to exit...
pause >nul
explorer "%ProgramFiles%\ADMS-2K\FT-7800"
exit

:amd64
echo 64-bit system detected, please run "install_win64.cmd"
echo Press any key to exit...
pause >nul
